Ubuntu

screensaver backlight stuck off, system looks hung

Reported by Joshua Rubin on 2011-10-12
264
This bug affects 56 people
Affects Status Importance Assigned to Milestone
gnome-settings-daemon
Invalid
Undecided
Unassigned
linux (Ubuntu)
High
Kamal Mostafa
Oneiric
Undecided
Unassigned

Bug Description

After the screensaver fades the screen to black and turns off the backlight, tapping a keyboard key does NOT turn the backlight back on again. The backlight is "stuck off" making the system appear to be hung.

This a regression in Ubuntu 11.10.

----- (original problem description) -----

[The original problem description is below, however it has been determined that the problem occurs with the the stock 11.10 release kernel and does not actually relate to acpi_backlight=vendor.]

I have been using Kamal Mostafa's kernels for my Dell Studio 15 for a few releases. Now, in oneiric, the brightness can not be changed unless I add acpi_backlight=vendor to the kernel command line. The brightness adjustment works fine when I make this change.

However, when I add this command line option, it introduces another issue where when the display goes to sleep, it does not resume.

Somtimes I get the screen back by switching to a console tty and then back to the X tty. But, the only reliable way I can get a screen to come back on is to close the laptop lid (so the system suspends) and then open it. The display will turn on for resume.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-12-generic 3.0.0-12.20
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jrubin 3145 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0a00000 irq 45'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:111d7675,10280413,00100103 HDA:80862804,80860101,00100000'
   Controls : 20
   Simple ctrls : 11
Date: Tue Oct 11 22:09:44 2011
HibernationDevice: RESUME=UUID=ffe5b171-a88d-44b8-9f4e-bca222ce60bd
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100427.1)
MachineType: Dell Inc. Studio 1558
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.0.0-12-generic root=/dev/mapper/hostname-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-12-generic N/A
 linux-backports-modules-3.0.0-12-generic N/A
 linux-firmware 1.60
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: Upgraded to oneiric on 2011-10-03 (8 days ago)
dmi.bios.date: 03/30/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A12
dmi.board.name: 0G939P
dmi.board.vendor: Dell Inc.
dmi.board.version: A12
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A12
dmi.modalias: dmi:bvnDellInc.:bvrA12:bd03/30/2011:svnDellInc.:pnStudio1558:pvrA12:rvnDellInc.:rn0G939P:rvrA12:cvnDellInc.:ct8:cvrA12:
dmi.product.name: Studio 1558
dmi.product.version: A12
dmi.sys.vendor: Dell Inc.

Joshua Rubin (rubixconsulting) wrote :
Brad Figg (brad-figg) on 2011-10-12
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release candidate kernel versus the daily build. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

tags: added: needs-upstream-testing
Joshua Rubin (rubixconsulting) wrote :

Updating with some questions from Kamal Mostafa and my answers:

> In the report, please make a note of which backlight interfaces appear
> when you run "ls /sys/class/backlight" when you do *not* boot with
> acpi_backlight=vendor, and also when you *do*.

Without acpi_backlight=vendor:
* acpi_video0
* intel_backlight

With acpi_backlight=vendor:
* dell_backlight
* intel_backlight

> Since you say that you can sometimes make it recover by switching to a
> different console tty then back again, my guess is that the system is
> probably actually always suspending and resuming correctly -- but the
> backlight is sometimes not getting re-enabled on resume. If you have
> another machine on your network, you could try to confirm that by
> ping'ing or ssh'ing into the laptop while its in its dark state. In
> fact, if you can ssh into it, we could then try checking the brightness
> state and manually increasing it. Let me know what you find when you
> try to ping or ssh into the machine and we'll proceed from there.

When I can't get the display working, the laptop is responsive. I often have it hooked up to a second display through the HDMI port, and that display does enable properly. Getting the display back ON by switching ttys is rare, but doing a full system suspend and resume ALWAYS causes the display to be reenabled.

* How can I manually induce a display suspend?
* How do I manually change the display brightness level?

> Now you also mention that closing and opening the lid again fixes the
> problem... Is that behavior consistent? Specifically, are you saying
> that it *always* fails to light up when you suspend/resume the first
> time, but then *always* lights up again when you suspend/resume the
> second time? Or is the behavior not as consistent as that?

Correct, a full system suspend/resume always fixes the issue.

Joshua Rubin (rubixconsulting) wrote :

I have done a bit more testing with the same kernel (while acpi_backlight=vendor is enabled).

I can reliably reproduce the issue by running:
xset s activate

Before runnning that command the following worked without issue:
vbetool dpms off; sleep 2; vbetool dpms on

But after running xset s activate, then suspending and resuming the machine (do get the display back), the vbetool dpms commands no longer cause the display to blank and then return.

I do have access to this machine from another on the same network, so just let me know what you want me to do from that machine while the machine is in the "blanked" state to try to get the display back.

I will test with the daily and rc kernels next...

Joshua Rubin (rubixconsulting) wrote :

$ uname -a
Linux ironhide 3.1.0-0301rc9-generic #201110050905 SMP Wed Oct 5 09:15:03 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

$ cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.1.0-0301rc9-generic root=/dev/mapper/ironhide-root ro quiet splash acpi_backlight=vendor vt.handoff=7

$ xset s activate
Result: display turns off and does not resume until I close the lid, wait for system suspend and then open the lid for a system resume.

Kamal Mostafa (kamalmostafa) wrote :

@Joshua-

> * How can I manually induce a display suspend?

$ sudo /usr/sbin/pm-suspend

> * How do I manually change the display brightness level?

You should be able to run this sequence from a terminal window on your external monitor (or while logged in to the laptop from another machine) -- it will reflect and affect the laptop display brightness. When the laptop screen is stuck in its dark state after resume, does the 'brightness' value below display as zero? Does that value seem to change when you press the brightness up/down keys?:

$ cd /sys/class/backlight/intel_backlight
$ cat max_brightness
{note the max brightness value (it won't ever change)}
$ cat brightness
{note the current brightness value; it *should* reflect the laptop screen backlight brightness, from 0 (off) to the max value}

You can change the brightness value manually as follows. Does changing it actually affect the screen brightness (once you're in the stuck dark state) or not?

$ cd /sys/class/backlight/intel_backlight
$ echo {somevalue} | sudo tee brightness
Replace "{somevalue}" with the max brightness value.

Joshua Rubin (rubixconsulting) wrote :

$ uname -a
Linux ironhide 3.1.0-999-generic #201110040905 SMP Tue Oct 4 09:10:44 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

$ cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.1.0-999-generic root=/dev/mapper/ironhide-root ro quiet splash acpi_backlight=vendor vt.handoff=7

$ xset s activate
Result: display turns off and does not resume until I close the lid, wait for system suspend and then open the lid for a system resume.

So the result is the same with both the RC and daily kernels. I will retry with each of them without the acpi_backlight=vendor option to ensure that it is still required to adjust the backlight and that the display hang issue is no longer present.

Joshua Rubin (rubixconsulting) wrote :

$ uname -a
Linux ironhide 3.1.0-999-generic #201110040905 SMP Tue Oct 4 09:10:44 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

$ cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.1.0-999-generic root=/dev/mapper/ironhide-root ro quiet splash vt.handoff=7

$ xset s activate
Result: without acpi_backlight=vendor display turns black (not sure if the backlight is off or not) and comes back on any activity. Also, I am unable to adjust the display brightness.

Joshua Rubin (rubixconsulting) wrote :

$ uname -a
Linux ironhide 3.1.0-0301rc9-generic #201110050905 SMP Wed Oct 5 09:15:03 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

$ cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.1.0-0301rc9-generic root=/dev/mapper/ironhide-root ro quiet splash vt.handoff=7

$ xset s activate
Result: same as 3.1.0-999-generic, no backlight controls, but also no display hang coming out of dpms.

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Joshua Rubin (rubixconsulting) wrote :

> You should be able to run this sequence from a terminal window on your external monitor (or while logged in to the laptop
> from another machine) -- it will reflect and affect the laptop display brightness. When the laptop screen is stuck in its dark
> state after resume, does the 'brightness' value below display as zero? Does that value seem to change when you press the
> brightness up/down keys?:
>
> $ cd /sys/class/backlight/intel_backlight
> $ cat max_brightness
> {note the max brightness value (it won't ever change)}
> $ cat brightness
> {note the current brightness value; it *should* reflect the laptop screen backlight brightness, from 0 (off) to the max
> value}
>
> You can change the brightness value manually as follows. Does changing it actually affect the screen brightness (once
> you're in the stuck dark state) or not?
>
> $ cd /sys/class/backlight/intel_backlight
> $ echo {somevalue} | sudo tee brightness
> Replace "{somevalue}" with the max brightness value.

I am back in 3.0.0-12-generic with acpi_backlight=vendor.

Here is a sequence that you might find interesting:

1. xset s activate # causes display to "hang"
2. log in from another machine, see that /sys/class/backlight/intel_backlight/brightness is in fact 0
3. changing the brightness level from this file does NOT bring back display
4. close laptop lid, wait for suspend, open lid display turns back on after resuming
5. on remote machine, manipulating brightness file DOES affect display brightness level and I am able to take it all the way to 0 and then back up again WITHOUT causing a display hang.

It appears that something about the screensaver activation (maybe dpms activation) is preventing the display from resuming, not just bringing the brightness all the way down to 0.

tags: removed: needs-upstream-testing
Kamal Mostafa (kamalmostafa) wrote :

I confirm this regression in 11.10, on a Dell Studio 1558 (even without acpi_backlight=vendor).

When the screensaver switches off the backlight, it does not come back on by tapping arbitrary keys as expected; The dark screen makes the system appear "hung", though really its just the backlight stuck off at the "unlock" password prompt dialog. Forcing a suspend/resume with the lid re-enables the backlight.

Disabling DPMS alleviates the problem (run 'xset -dpms' to do so). With DPMS disabled, the screensaver paints the screen black (but does not actually switch off the backlight), and then tapping an arbitrary key presents the screensaver "unlock" screen as expected. (@Joshua, can you confirm that 'xset -dpms' has the same beneficial effect on your system?)

More notes...

Even with dpms enabled,
$ xset s activate
... causes the backlight to switch off and *stay* off. Contrast with the behavior in 11.04, where that command makes the backlight switch off and then immediately switch back on again. Tapping arbitrary keys does not re-enable the backlight, but tapping the brightness-up key *does* work. Unfortunately, at the "unlock" screen, the brightness keys are not processed (so even though brightness-up works to fix the dark screen resulting from 'xset s activate', it does not light the screen again once the screensaver has switched it off).

I experience this problem even without acpi_backlight=vendor (my Studio 1558 does not need it; my /sys/class/backlight/intel_backlight brightness controls work properly by default in oneiric).

summary: - Display Hang With acpi_backlight=vendor
+ screensaver backlight stuck off, system looks hung
Changed in linux (Ubuntu):
importance: Undecided → High
Kamal Mostafa (kamalmostafa) wrote :

This method appears to reliably re-enable my backlight when it gets stuck off. @Joshua, please try each of these sequences (without disabling dpms) and describe your results if they differ from mine.

"Log in in the dark and tap brightness-up"

1. log in to the graphical session, and let it time out and switch off the backlight (so that its in the stuck dark state).
2. carefully type your password "in the dark" and hit Enter -- backlight is *still* off, but you should actually be back in your graphical session now.
3. tap your brightness-up keyboard key several times -- my screen backlight lights up at this point.

"Lid close on a different VTTY"

1. log in to the graphical session, and let it time out and switch off the backlight (so that its in the stuck dark state).
2. switch to a different virtual TTY with e.g. Ctrl-Alt-F1 (some systems like my Studio 15580 need Fn-Ctrl-Alt-F1).
3. close the lid (note, because you're not on the graphical TTY, the system does *not* suspend due to closing the lid).
4. open the lid -- my backlight comes back on at this point.
5. switch back to the graphical session with Ctrl-Alt-F7 (you should be at the "unlock" screensaver dialog).

Joshua Rubin (rubixconsulting) wrote :

Kamal,

I have confirmed all of your findings so far, including:

1. by disabling dpms (xset -dpms) the screensaver does not turn off the backlight, and the screen does not get "stuck".
2. (1) does not resolve the issue when caused by running "xset s activate"
3. Your, 1st, method of passing the lock screen in "in the dark" and then adjusting the brightness does cause the backlight to turn back on.
4. Your, 2nd, method of switching to a different tty, closing the lid, opening it and then switching back to the X tty also works as you described.

Joshua

Kamal Mostafa (kamalmostafa) wrote :

The problem is caused by a recent change to gnome-settings-daemon (the application of debian/patches/00git_dont_restore_brightness.patch); I'm working on a fix.

I also note that the bug only occurs if the system is plugged in to A/C power at the moment gnome-settings-daemon first detects that the system is idle. When on battery power, the problematic patch does not come into effect, and the backlight works as it should. (Simply unplugging the A/C power after the problem occurs does not help, so this isn't really a useful workaround).

affects: linux (Ubuntu) → gnome-settings-daemon (Ubuntu)
Changed in gnome-settings-daemon (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in gnome-settings-daemon (Ubuntu):
status: Triaged → In Progress
description: updated
Kamal Mostafa (kamalmostafa) wrote :

The attached patch to gnome-settings-daemon fixes the "backlight stuck off" problem in Ubuntu 11.10.

This PPA supplies an installable gnome-settings-daemon package with the patch applied:

    https://launchpad.net/~kamalmostafa/+archive/gnome-settings-daemon

tags: added: patch regression-release
Joshua Rubin (rubixconsulting) wrote :

The supplied patch does resolve the issue for me when the screensaver activates automatically.

The issue persists when running "xset s activate".

The attachment "52_save_and_restore_pre_dim_brightness.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

da_coynul (xtragb) wrote :

I am experiencing this problem on my Acer Aspire 5740 laptop running Xubuntu without xfce4 or gnome power manager installed. As Joshua Rubin mentioned in comment #17, the bug can be reproduced by just blanking the screen with xset. The problem does not happen when the screen in blanked in a TTY. Is it possible this bug is not actually in power manager but elsewhere in Gnome or in Xorg?

Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue you are reporting is an upstream one and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at https://wiki.ubuntu.com/Bugs/Upstream/GNOME. If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

Steffen Röcker (sroecker) wrote :

I can confirm the patch works for the screensaver issue.
It does not work for "xset s activate".
MacBook1,1 with 945GM

skalka (skalka) wrote :

Patch solves screensaver issue for me too, I have an Intel 915GM.

ikaps (ikaps) wrote :

For me this patch does not work (Asus A3E, Intel i915GM) - I tried with/without acpi_backlight=vendor , as well as on AC and battery power. The effect is still the same - no backlight after the screensaver is dismissed (backlight=0).

skalka (skalka) wrote :

ikaps: I applied that patch on the same Asus and it works. So it's strange that it doesn't work for you.

da_coynul (xtragb) wrote :

UPDATE: This bug appears to be caused by a regression in the i915 driver. See the explanation and patch from Takashi Iwai here: https://lkml.org/lkml/2011/10/14/128 . The problem is fixed for me using the 3.0.4 kernel with the patch applied. See bug report and further discussion here: https://bugs.freedesktop.org/show_bug.cgi?id=41926 .

ikaps (ikaps) wrote :

Indeed, I don't know why, but it started to work today. Thank you!

da_coynul (xtragb) wrote :

After further testing I am not certain the patch I mentioned in comment #24 actually works. However, I can confirm that this patch: https://lkml.org/lkml/2011/10/2/185 does work with the 3.1 kernel released today.

Steffen Röcker (sroecker) wrote :

Just tested the patch from #26 under 3.0.0-13-generic. Works great!

Kamal Mostafa (kamalmostafa) wrote :

I also confirm that Alex Davis's kernel patch https://lkml.org/lkml/2011/10/2/185 fixes the problem (and in a better way than my gnome-settings-daemon patch). [Dell Studio 1558]

I have published an installable Ubuntu Oneiric kernel PPA with that patched applied (the build is pending, and won't likely be available until some time tomorrow):

    https://launchpad.net/~kamalmostafa/+archive/stuck-backlight

Feedback to this bug report will be appreciated.

The gnome-settings-ppa noted in comment #15 is no longer recommended.

affects: gnome-settings-daemon (Ubuntu) → linux (Ubuntu)
tags: added: backlight
removed: patch
Kamal Mostafa (kamalmostafa) wrote :

Additional note: the patch discussed in comments #26, #27, and #28 also fixes the behavior of "xset s activate".

Craig Setera (craigjunk) wrote :

I applied the patched kernel last night to my Dell Studio 1558 and unfortunately saw the same issue occur again. I'm not sure if there was something else I needed to do, but at the moment it doesn't seem like the patched kernel solves the issue in all cases. What information can I capture to help the diagnosis?

Craig Setera (craigjunk) wrote :

A quick update on this patch. I'm not sure what I did wrong the first time I tried, but when I checked again it seems to be working fine. Thanks Kamal!

Gerlando F. (iurly) wrote :

For what it's worth, I had the same problem and the patch as per #28 works for me too. Thanks Kamal!

abhishek (abhishek-smit) wrote :

I may sound dumb....but could anyone please tell me how do i apply the mentioned patch?

@ terminal
sudo add-apt-repository ppa:kamalmostafa/gnome-settings-daemon
sudo apt-get update
sudo apt-get upgrade

abhishek (abhishek-smit) wrote :

@Andriopoulos Nikolaos (sirnicolas21)

I'll apply the patch by the commands you have given and will revert back with the outcome...(once i get back home)

abhishek (abhishek-smit) wrote :

The patch from Kamal Mustafa did not work for me...:(

Nor for me.

Vincent St-Amour (vsr) wrote :

Dell Inspiron N7010
Service Tag : FBL37P1
Works for me ( Ca fonctionne !! )

Thanks many time Kamal Mustafa.

Vincent

James Frank (jimfran) wrote :

I am also having the problem on my Acer Aspire Laptop running Ubuntu 11.10. (Oneiric) since upgrading.

When connected to an external monitor I am able to see something displayed, and can vaguely make out something on the laptop's dark screen, this is when using kernel 3.0.0-13, reverting to kernel 2.9.x-x everything is fine on both monitors.

The strange thing is my emachine netbook works fine and I cant seem to replicate the issue, anyway I am hopeful that a solution can be found soon.

Jim

Claudio Clemens (asturioweb) wrote :

I have a HP Compac mini 702EG with an Intel Corporation Mobile 945GME Express Integrated Graphics Controller. I have also the problem since 11.10 (with 11.04 there was no error).

I tried the patched kernel from comment #26, #27 and #28, and it seems to fix the problem. Thank you. Hopefully soon in the official Kernel from Ubuntu.

Claudio

Claudio Clemens (asturioweb) wrote :

So I tested also this blank screen problem with some mainline kernels.

Linux bilbo 3.0.9-030009-generic #201111111635 SMP Fri Nov 11 21:43:52 UTC 2011 i686 i686 i386 GNU/Linux
Linux bilbo 3.1.0-030100rc10-generic #201110200610 SMP Thu Oct 20 10:20:00 UTC 2011 i686 i686 i386 GNU/Linux
Linux bilbo 3.1.1-030101-generic #201111111651 SMP Fri Nov 11 22:00:08 UTC 2011 i686 i686 i386 GNU/Linux

The Problem is only solved with kernel
Linux bilbo 3.0.9-030009-generic #201111111635 SMP Fri Nov 11 21:43:52 UTC 2011 i686 i686 i386 GNU/Linux

xset s activate works fine with this one. Moving the mouse or typing a key brings the screen back.

Can I send something more to help?

mmalmeida (mmalmeida) wrote :

I have applied the patch in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/872652/comments/34 and it works.

However, you must force version (in synaptic) because there has been an update to a newer version in the official repositories.

Would be great if the patch could be applied soon...

Claudio Clemens (asturioweb) wrote :

I don't think the problem is in gnome-settings-daemon, but in the kernel. The gnome-settings-daemon package is actually only a workaround. Isn't it?

Kamal Mostafa (kamalmostafa) wrote :

Status update: A new kernel patch by Takashi Iwai has been submitted[0] which will likely become the official fix for this problem. My thanks to Takashi, and to Alex Davis for his earlier kernel patch.

I have updated my Ubuntu Oneiric kernel PPA with the new patch (as well as another prerequisite patch) applied:

    https://launchpad.net/~kamalmostafa/+archive/stuck-backlight

(the new patch is available in PPA kernel version "...fix~stuck~backlight3"). Feedback to this bug report will be appreciated.

The gnome-settings-ppa noted in comments #15 and #34 is NO LONGER RECOMMENDED! Use my "stuck-backlight" kernel PPA instead.

@Claudio Clemens, the bug was indeed introduced into the mainline kernel in the 3.1 timeframe, but we ended up with it in Ubuntu Oneric's 3.0 kernel also when we pulled in some important backlight fixes from 3.1.

[0] http://lists.freedesktop.org/archives/intel-gfx/2011-November/013437.html

I updated using Kamal Mostafa's patch. It appears to solve the problem on my HP Mini. That is, I have turned the "dim display when idle" option back on in the "Screen" options, and now the display does not get locked into a dark mode. However, I think this is working backwards: ten or so seconds after I stop typing, the display gets BRIGHTER (to max brightness, I would say), and as soon as I stop typing, it gets dimmer, going to the setting determined by the brightness-control keys!!!
This may have been true before, too, so I am not certain that it was introduced by this fix.
I can start a new bug if you like.
Thanks.

Matthias Metzger (macellarius) wrote :

I'm using a Dell XPS 15 (L501x) and it works with kamal's ppa and the kernel parameter "acpi_backlight=vendor".

adrian (adrianub) wrote :

I have a related problem, possibly not the same.

I am running Xubuntu 11.10 64 bit, patched only to normal distribution level, on a dell d620 laptop.

There is no gnome-settings application, the nearest I can find is settings->settings-manager-> and then various panels have settings related to blanking. it isn't very clear which should be used but any screen-blanking I've set to 'none' have so far had no effect - the screen still dims after a few minutes. I have installed dconf-editor as suggested elsewhere and used that to disable screen dimming, but it still dims.

After the screen has dimmed, pressing a key does not bring it back. However, the keyboard brightness changes (fn-cursor-up etc) DO work and must be used to bring the screen back to a usable brightness. The backlight is not switched off - it's just that it dims, and the normal level is not restored on a keypress.

Logging out does not fix this. In fact, it makes it worse : the screen brightness can be adjusted at the login menu but it jumps up and down with successive changes as described by another poster.

Kamal Mostafa (kamalmostafa) wrote :

I have updated my Ubuntu Oneiric 11.10 kernel PPA with another new experimental patch by Keith Packard[0]. This new patch may resolve the "inverted brightness" and/or the "jumps with successive changes" behavior that has been reported on some systems:

    https://launchpad.net/~kamalmostafa/+archive/stuck-backlight

The kernels containing the new patch are tagged "~fix~stuck~backlight4" (use 'uname -a' to check); they will become available within the next day. If you experience any change in your brightness control behavior after updating to this new version, please post a note here.

[0] http://lists.freedesktop.org/archives/intel-gfx/2011-November/013519.html

Rene (g.xrc) wrote :

Dear All,

I just tested this last patch, and it works for me on my ASUS UL20A. (intel GMA 4500HD)

below some detailed infos:

$ uname -a
Linux rgw2 3.0.0-13-generic #22+kamal~fix~stuck~backlight3-Ubuntu SMP Fri Nov 18 01:04:58 UT i686 i686 i386 GNU/Linux
$ cat /proc/cmd*
BOOT_IMAGE=/boot/vmlinuz-3.0.0-13-generic root=UUID=212683b0-1b69-4969-a259-665b422074e3 ro quiet splash acpi_backlight=vendor vt.handoff=7
~$ ls -l /sys/class/backlight
total 0
lrwxrwxrwx 1 root root 0 2011-11-23 13:41 asus_laptop -> ../../devices/platform/asus_laptop/backlight/asus_laptop
lrwxrwxrwx 1 root root 0 2011-11-23 13:41 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight

My Hardware: ASUS UL20A
$ lspci -nn
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)

I use acpi_backlight=vendor, to have backlight control button work.
Without this option, the buttons are recognized, but have no dimming effect and cause somewhere a waiting loop between 2 actions. Also, sometime the screen switch off without any reason.
Manual dimming can be done using command
sudo setpci -s 00:02.0 F4.B=xx
where xx is dimming percentage.

**** before the patch
$ xset s activate => switch off the screen
lock screen, and wait for screen off, then unlock: the screen stay stucked at brightness 0 (off)
**** after the patch
$ xset s activate => swicth off then on the screen
lock screen, and wait for screen off, then unlock: the screen switch back on at previous dim level.

without acpi_backlight=vendor and without the patch the behaviour, seems quite normal, except that brightness control is not possible with the keyboard, brightness is off or max.

CONCLUSION:
-Default systems works without dimming control
-Dimming control requires acpi_backlight=vendor which activates the bug, and proposed patch is ok.

Rene (g.xrc) wrote :

$ uname -a
Linux rgw2 3.0.0-13-generic #22+kamal~fix~stuck~backlight4-Ubuntu SMP Wed Nov 23 13:54:10 UT i686 i686 i386 GNU/Linux

=> still same result with this last version: it works.

Ekimia (u-contact-ekimia-fr) wrote :

on my Lenovo B570 with Sandybridge only ( Core i3 + HD2000 ) , your GSD ppa worked great , But why isn't your patch backported on GSD 3.2 on proposed ? Is there a big regression risk ?

adrian (adrianub) wrote :

Without installing the patch from #48 (but keeping up with mainstream updates), I have noticed a change to the behaviour of this bug (on a dell D620 running 64-bit Xubuntu 11.10, running on mains).

I now find that if the system is left for a short while, the screen dims as expected. Pressing any key restores normal brightness.

If the system is left for a long while, the screen brightness is not restored but has to be jacked up slowly with the keyboard brightness control.

In neither case is the backlight switched off permanently.

I'm not sure if this is due to a staged reduced-brightness / screen off feature, where the brightness is not correctly restored after the screen is turned off (which sounds like one of the early bug reports), or perhaps there is more than one application attempting to control the backlight with different timing and different strategies.

Claudio Clemens (asturioweb) wrote :

Using (official Ubuntu) Kernel 3.0.0-14-generic solves the problem for me.

Me too, Claudio: Updating to the latest Kernel 3.0.0-14-generic for 11.10 / official Ubuntu (64bit, running on mains, ie plugged in) gets rid of both the locked-to-dim state after being idle for a while and the reverse brightness problem after being idle for a few seconds.

Thanks, all.

Kamal Mostafa (kamalmostafa) wrote :

The two patches by Takashi Iwai to fix this bug ("screensaver backlight stuck off, system looks hung") have now been applied to the standard Ubuntu 11.10 kernel. One of the patches appears in the recently released 3.0.0-14 series kernel and resolves the problem for many systems. The other patch will appear in the forthcoming 3.0.0-15 series kernel and should resolve the problem for all the rest of the affected systems. I will continue to maintain my 'stuck-backlight' kernel PPA (which includes the patches) until the 3.0.0-15 kernel gets released:

    https://launchpad.net/~kamalmostafa/+archive/stuck-backlight

My thanks to Takashi Iwai and Alex Davis for the fixes, and everyone here for the testing and feedback.

@Ekimia- The old gnome-settings-daemon fix for this issue is now obsolete -- that patch will not be applied. Use the kernel PPA instead.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
readan2 (readan2) wrote :

Problem still persists here:
Linux 3.0.0-14-generic #23-Ubuntu SMP Mon Nov 21 20:34:47 UTC 2011 i686 i686 i386 GNU/Linux

Kamal Mostafa (kamalmostafa) wrote :

@readan2- Try the 'stuck-backlight' PPA referenced in comment #54. If that fixes it for you, then the official 3.0.0-15 kernel will also fix it.

Kamal Mostafa (kamalmostafa) wrote :

@readan2- Correction: Try the 'stuck-backlight' PPA referenced in comment #55.

Dave Roberts (vpasvid) wrote :

Problem still exists here on my Dell D620, running Xubuntu 11.10. Installed the kernel from the proposed updates this morning....

Linux 3.0.0-14-generic #23-Ubuntu SMP Mon Nov 21 20:34:47 UTC 2011

Screen "switches off" after 1 min, per my settings in Power Manager. When I activate the screen, it's then dim, and I have to manually set the brightness into /sys/class/backlight/intel_backlight/brightness to get it back to normal.

I looked at the PPA referenced in comment #55, but am not sure which part to install. It lists 5 sets of headers and 2 kernels. Can I just pick the linux-image-3.0.0-14-generic one?

Andreas Wolff (aw-ubuntu) wrote :

The kernel of the PPA solved the backlight problem on my lenovo S10e.
Thanks Kamal! I got rid of a very anoying problem.

James Frank (jimfran) wrote :

Had the problem and before i was able to apply the patch / install the 3.0.0-14 kernel, upgraded to the precise alpha on my Acer Aspire 5336, now when I try adding ur PPA to the update repository, its not downloading the updates. I now have kernel 3.2. but no fix for the backlight issue, any suggestions

Keng-Yu Lin (lexical) on 2011-12-13
tags: added: blocks-hwcert-enablement

I noticed a couple of issues with the 3.0.0-15 release on Dell Studio 15 with intel graphics. I believe these are related-

1. System freeze after few seconds of resume. /var/log/Xorg.0.log.old is attached and has these interesting lines-
[ 1371.960] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 1377.217] (II) Open ACPI successful (/var/run/acpid.socket)
[ 1377.217] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 1377.217] (EE) intel(0): Failed to submit batch buffer, expect rendering corruption or even a frozen display: Invalid argument.

2. After resume, screen is NOT locked.

Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem (3.0.0-15.24). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Kamal Mostafa (kamalmostafa) wrote :

I verify that this bug is fixed by 3.0.0-15.24, and have set 'verification-done-oneiric'.

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Kamal Mostafa (kamalmostafa) wrote :

@naveensix: The issue you describe are not likely to be related to this bug. Please file a separate bug report.

Kamal Mostafa (kamalmostafa) wrote :

As has been noted, this is fundamentally a kernel bug, not a gnome-settings-daemon bug, so marking the gnome-settings-daemon entry as Invalid.

Changed in gnome-settings-daemon:
status: New → Invalid
Kamal Mostafa (kamalmostafa) wrote :

@James Frank: My testing indicates that this bug is fixed in Precise Alpha-1 (the 3.2.0-2.5 kernel). Some systems may still need to use the kernel boot parameter "acpi_backlight=vendor" however. Guidance on using kernel boot parameters is available at https://wiki.ubuntu.com/Kernel/KernelBootParameters .

Regression after latest kernel update: Linux my-netbook 3.0.0-15-generic #24-Ubuntu SMP Mon Dec 12 15:25:25 UTC 2011 i686 i686 i386 GNU/Linux

The inverted brightness problem mentioned above was fixed, but just returned.

@Christopher-

On Thu, 2011-12-15 at 18:00 +0000, Christopher Barrington-Leigh wrote:
> Regression after latest kernel update: Linux my-netbook 3.0.0-15-generic
> #24-Ubuntu SMP Mon Dec 12 15:25:25 UTC 2011 i686 i686 i386 GNU/Linux
>
> The inverted brightness problem mentioned above was fixed, but just
> returned.
>

When you say that the inverted brightness problem "was fixed"... Please
clarify: Do you mean that it was fixed with my stuck-backlight PPA
kernel https://launchpad.net/~kamalmostafa/+archive/stuck-backlight ?

readan2 (readan2) wrote :

Fixed in 3.0.0-15 for me.

Kamal Mostafa (kamalmostafa) wrote :

I have prepared a PPA test kernel for Ubuntu 11.10 (Oneiric) including a patch which might address the "inverted backlight brightness" problem, but I would like to move discussion of that problem to a more specific bug report:

  LP #842459 https://bugs.launchpad.net/ubuntu/+bug/842459

See my comment #14 in that bug report for the link to the new 'inverted-backlight' test PPA, and enter relevant feedback there.

Adrienne (rykasimba) wrote :

Hi -I have a Lenovo T400. The patch does not work for me. In the beginning I could get the laptop display to brighten by connecting an external monitor. That does not work any more. Suspend and resume does not work. Changing users does not work. So now the laptop is not usable unless I have a monitor with me. Even trying to launch the Live CD will not activate the laptop. I had it set to never sleep or dim but then the other day for no known reason it did it anyway and now I cannot get it back. I have tried to install xbacklight. The brightness setting on the Screen does nothing. It is set to the max but moving it up or down does not have any impact on the display. The function keys do nothing as well. Using the xbacklight command also does nothing. I would really like some ideas here as at this point it is totally unusable when I travel which is all the time. I tried the https://launchpad.net/~kamalmostafa/+archive/stuck-backlight. I installed the ppa and did and update and reboot. Since I cannot see the screen on startup I have no idea what it selected. I do not get a screen on the monitor until AFTER the login page. Even the login page will not show up on the external monitor now even when the settings are set to Mirror. So in my opinion this has gotten worse. Please let me know what else I can try!! Or if I should go back to 11.10. I have been using this laptop since Ubuntu 9 with no issues so this is all from 11.10.

Adrienne (rykasimba) wrote :

One more update. I tried the kernel 3.0.0.-15 generic. This also did not fix the issue on the T400. Still dim screen can only use laptop with external monitor.

cmcanulty (cmcanulty) wrote :

I added the ppa then got the no key error so I pasted this key
----BEGIN PGP PUBLIC KEY BLOCK-----
Version: SKS 1.0.10

mI0ESzaDQAEEAMZYGwJdo5WrARTjP3OqikQu2C0JvA8kOWjlSRWhFX8OpSS8GIA/T1A8TQFV
pO7DOT7IR0bDHSTCoD8TEc7UcphBHR3/4O7hD/xV9XS0VMWRXvLxbPcvWgE8ymOlacnhQRK2
A3UjUdk+sMVj7/bgpY4iq4MBQj9ub8kCU1YqWqdDABEBAAG0GUxhdW5jaHBhZCBmaXhlcyBm
b3IgYXByc2SItgQTAQIAIAUCSzaDQAIbAwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJEOAx
kILzfzqwp2oEAJ/DhEupe4Cdd9649FSkGzq/DpyjV7eDeQ0np/cmG+pEnFZj+f7XkmyQid/t
5YAc5YBN23UhsFwxgmy//l8OAyJivkJLkGDKACCWFf/f8SmzYRDyJqKYBkWT2CgzCdLAcsWl
fv/IxvQUs8T4PgDd7uZ93muDMeWGXOPqZSY8+4mZ
=0iVF
-----END PGP PUBLIC KEY BLOCK-----

then get these errors 1st the install error

cmcanulty@Darcy25:~$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys ----BEGIN PGP PUBLIC KEY BLOCK-----
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.BzGcY5w513 --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv-keys ----BEGIN PGP PUBLIC KEY BLOCK-----
gpg: Invalid option "----BEGIN"
cmcanulty@Darcy25:~$ Version: SKS 1.0.10
Version:: command not found
cmcanulty@Darcy25:~$
cmcanulty@Darcy25:~$ mI0ESzaDQAEEAMZYGwJdo5WrARTjP3OqikQu2C0JvA8kOWjlSRWhFX8OpSS8GIA/T1A8TQFV
bash: mI0ESzaDQAEEAMZYGwJdo5WrARTjP3OqikQu2C0JvA8kOWjlSRWhFX8OpSS8GIA/T1A8TQFV: No such file or directory
cmcanulty@Darcy25:~$ pO7DOT7IR0bDHSTCoD8TEc7UcphBHR3/4O7hD/xV9XS0VMWRXvLxbPcvWgE8ymOlacnhQRK2
bash: pO7DOT7IR0bDHSTCoD8TEc7UcphBHR3/4O7hD/xV9XS0VMWRXvLxbPcvWgE8ymOlacnhQRK2: No such file or directory
cmcanulty@Darcy25:~$ A3UjUdk+sMVj7/bgpY4iq4MBQj9ub8kCU1YqWqdDABEBAAG0GUxhdW5jaHBhZCBmaXhlcyBm
bash: A3UjUdk+sMVj7/bgpY4iq4MBQj9ub8kCU1YqWqdDABEBAAG0GUxhdW5jaHBhZCBmaXhlcyBm: No such file or directory
cmcanulty@Darcy25:~$ b3IgYXByc2SItgQTAQIAIAUCSzaDQAIbAwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJEOAx
b3IgYXByc2SItgQTAQIAIAUCSzaDQAIbAwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJEOAx: command not found
cmcanulty@Darcy25:~$ kILzfzqwp2oEAJ/DhEupe4Cdd9649FSkGzq/DpyjV7eDeQ0np/cmG+pEnFZj+f7XkmyQid/t
bash: kILzfzqwp2oEAJ/DhEupe4Cdd9649FSkGzq/DpyjV7eDeQ0np/cmG+pEnFZj+f7XkmyQid/t: No such file or directory
cmcanulty@Darcy25:~$ 5YAc5YBN23UhsFwxgmy//l8OAyJivkJLkGDKACCWFf/f8SmzYRDyJqKYBkWT2CgzCdLAcsWl
bash: 5YAc5YBN23UhsFwxgmy//l8OAyJivkJLkGDKACCWFf/f8SmzYRDyJqKYBkWT2CgzCdLAcsWl: No such file or directory
cmcanulty@Darcy25:~$ fv/IxvQUs8T4PgDd7uZ93muDMeWGXOPqZSY8+4mZ
bash: fv/IxvQUs8T4PgDd7uZ93muDMeWGXOPqZSY8+4mZ: No such file or directory
cmcanulty@Darcy25:~$ =0iVF
=0iVF: command not found
cmcanulty@Darcy25:~$ -----END PGP PUBLIC KEY BLOCK-----
-----END: command not found
cmcanulty@Darcy25:~$
I need to get this fixed fast as we are a library with 10 laptops doing this thank you

Kamal Mostafa (kamalmostafa) wrote :

@Adrienne-
It sounds like the problems you're experiencing more specifically relate to either of these two bug reports ("backlight off at startup"):
  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/779166
  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/765438
My suggestion is to try the new 'inverted-backlight' test PPA, but post your results to bug 779166:

  https://launchpad.net/~kamalmostafa/+archive/inverted-backlight

Important: Booting with the parameter "acpi_backlight=vendor" may also be necessary -- see the inverted-backlight page above for details.

Kamal Mostafa (kamalmostafa) wrote :

@cmcanulty-
You should not need to use 'sudo add-key' at all. add-key is only relevant for older Ubuntu versions (and these backlight PPA's are only for Ubuntu 11.10). The best way to add the inverted-backlight PPA (which also includes the stuck-backlight fix) is to run these commands in a terminal window:

  sudo add-apt-repository ppa:kamalmostafa/inverted-backlight
  sudo apt-get update
  sudo apt-get dist-upgrade

cmcanulty (cmcanulty) wrote :

I added the ppa then got the no key error so I pasted this key
----BEGIN PGP PUBLIC KEY BLOCK-----
Version: SKS 1.0.10

mI0ESzaDQAEEAMZYGwJdo5WrARTjP3OqikQu2C0JvA8kOWjlSRWhFX8OpSS8GIA/T1A8TQFV
pO7DOT7IR0bDHSTCoD8TEc7UcphBHR3/4O7hD/xV9XS0VMWRXvLxbPcvWgE8ymOlacnhQRK2
A3UjUdk+sMVj7/bgpY4iq4MBQj9ub8kCU1YqWqdDABEBAAG0GUxhdW5jaHBhZCBmaXhlcyBm
b3IgYXByc2SItgQTAQIAIAUCSzaDQAIbAwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJEOAx
kILzfzqwp2oEAJ/DhEupe4Cdd9649FSkGzq/DpyjV7eDeQ0np/cmG+pEnFZj+f7XkmyQid/t
5YAc5YBN23UhsFwxgmy//l8OAyJivkJLkGDKACCWFf/f8SmzYRDyJqKYBkWT2CgzCdLAcsWl
fv/IxvQUs8T4PgDd7uZ93muDMeWGXOPqZSY8+4mZ
=0iVF
-----END PGP PUBLIC KEY BLOCK-----

then get these errors 1st the install error

cmcanulty@Darcy25:~$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys ----BEGIN PGP PUBLIC KEY BLOCK-----
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.BzGcY5w513 --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv-keys ----BEGIN PGP PUBLIC KEY BLOCK-----
gpg: Invalid option "----BEGIN"
cmcanulty@Darcy25:~$ Version: SKS 1.0.10
Version:: command not found
cmcanulty@Darcy25:~$
cmcanulty@Darcy25:~$ mI0ESzaDQAEEAMZYGwJdo5WrARTjP3OqikQu2C0JvA8kOWjlSRWhFX8OpSS8GIA/T1A8TQFV
bash: mI0ESzaDQAEEAMZYGwJdo5WrARTjP3OqikQu2C0JvA8kOWjlSRWhFX8OpSS8GIA/T1A8TQFV: No such file or directory
cmcanulty@Darcy25:~$ pO7DOT7IR0bDHSTCoD8TEc7UcphBHR3/4O7hD/xV9XS0VMWRXvLxbPcvWgE8ymOlacnhQRK2
bash: pO7DOT7IR0bDHSTCoD8TEc7UcphBHR3/4O7hD/xV9XS0VMWRXvLxbPcvWgE8ymOlacnhQRK2: No such file or directory
cmcanulty@Darcy25:~$ A3UjUdk+sMVj7/bgpY4iq4MBQj9ub8kCU1YqWqdDABEBAAG0GUxhdW5jaHBhZCBmaXhlcyBm
bash: A3UjUdk+sMVj7/bgpY4iq4MBQj9ub8kCU1YqWqdDABEBAAG0GUxhdW5jaHBhZCBmaXhlcyBm: No such file or directory
cmcanulty@Darcy25:~$ b3IgYXByc2SItgQTAQIAIAUCSzaDQAIbAwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJEOAx
b3IgYXByc2SItgQTAQIAIAUCSzaDQAIbAwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJEOAx: command not found
cmcanulty@Darcy25:~$ kILzfzqwp2oEAJ/DhEupe4Cdd9649FSkGzq/DpyjV7eDeQ0np/cmG+pEnFZj+f7XkmyQid/t
bash: kILzfzqwp2oEAJ/DhEupe4Cdd9649FSkGzq/DpyjV7eDeQ0np/cmG+pEnFZj+f7XkmyQid/t: No such file or directory
cmcanulty@Darcy25:~$ 5YAc5YBN23UhsFwxgmy//l8OAyJivkJLkGDKACCWFf/f8SmzYRDyJqKYBkWT2CgzCdLAcsWl
bash: 5YAc5YBN23UhsFwxgmy//l8OAyJivkJLkGDKACCWFf/f8SmzYRDyJqKYBkWT2CgzCdLAcsWl: No such file or directory
cmcanulty@Darcy25:~$ fv/IxvQUs8T4PgDd7uZ93muDMeWGXOPqZSY8+4mZ
bash: fv/IxvQUs8T4PgDd7uZ93muDMeWGXOPqZSY8+4mZ: No such file or directory
cmcanulty@Darcy25:~$ =0iVF
=0iVF: command not found
cmcanulty@Darcy25:~$ -----END PGP PUBLIC KEY BLOCK-----
-----END: command not found
cmcanulty@Darcy25:~$
I need to get this fixed fast as we are a library with 10 laptops doing this thank you I tried it again and appears to install but still screen goes black

cmcanulty (cmcanulty) wrote :

I got something to work and posted the directions here in post#25
http://ubuntuforums.org/showthread.php?t=1862893&page=2

cmcanulty (cmcanulty) wrote :

Sorry about the double post. Now light usually stays on but sometimes all the laptops have to be closed and opened to get light back on.

cmcanulty (cmcanulty) wrote :

OK I am trying to learn about the kernel process. Will this have to be redone every time there is a kernel upgrade. And can you explain how you learned to do the patch. Thank you & Happy Holidays

dave yenor (yenor-dave) wrote :

I'm new to Ubuntu, I switched from Windows a while ago. I had this problem as well, and I am using an Emachines E525 Laptop. I don't know if this will work for every computer, or if it's just a temp. fix, but I got a bright light to see the screen then did these steps.
1. Opened Terminal
2. Typed in sudo su
3. Entered my password
4. Typed in setpci -s 00:02.0 F4.B=00
5. Then I hit enter.
For me this set the back light to full brightness, but when the computer gos into sleep mode the back light is off again.
This is the URL in which I got the information. ubuntuforums.org/showthread.php?t=1742575
I hope this helps a little.

James M. Leddy (jm-leddy) wrote :

hi cmcanulty,

As soon as this fix is released in the main Ubuntu kernel (with version -15, this bug status will be fix released), you will not need install the kernel from the PPA but can instead just do

  sudo apt-get update
  sudo apt-get dist-upgrade

James Frank (jimfran) wrote :

Thanks Dave, that seemed to solve my problem on my acer aspire whilst connected to an external monitor, once disconnected the screen goes dark again, anyway its a start for now.

thanks

James Frank (jimfran) wrote :

just a comment for those that tried editing the grub file at boot, in my case i edited the grub and added acpi_backlight=vendor, however did not see any effect. having read a few other bug reports I decided to try this again, however using the reverse brightness light keys, and got some success.

so it appears that on Intel machines the backlight is inverted !

hope this helps

tags: added: rls-mgr-p-tracking
Andy Whitcroft (apw) on 2012-01-16
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Vadim Peretokin (vperetokin) wrote :

I can confirm that the -15 kernel fixes the issue on Aspire 5740.

Launchpad Janitor (janitor) wrote :
Download full text (13.9 KiB)

This bug was fixed in the package linux - 3.0.0-15.25

---------------
linux (3.0.0-15.25) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #910894

  [ Upstream Kernel Changes ]

  * Revert "clockevents: Set noop handler in clockevents_exchange_device()"
    - LP: #904569

linux (3.0.0-15.24) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #903188

  [ Alex Bligh ]

  * (config) Change Xen paravirt drivers to be built-in
    - LP: #886521

  [ Chase Douglas ]

  * Revert "SAUCE: HID: hid-ntrig: add support for 1b96:0006 model"
    - LP: #724831
  * Revert "SAUCE: hid: ntrig: Remove unused device ids"
    - LP: #724831

  [ Seth Forshee ]

  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312

  [ Upstream Kernel Changes ]

  * Revert "leds: save the delay values after a successful call to
    blink_set()"
    - LP: #893741
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * drm/i915: fix IVB cursor support
    - LP: #893222
  * drm/i915: always set FDI composite sync bit
    - LP: #893222
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * ALSA: hda - Don't add elements of other codecs to vmaster slave
    - LP: #893741
  * virtio-pci: fix use after free
    - LP: #893741
  * ASoC: Don't use wm8994->control_data in wm8994_readable_register()
    - LP: #893741
  * sh: Fix cached/uncaced address calculation in 29bit mode
    - LP: #893741
  * drm/i915: Fix object refcount leak on mmappable size limit error path.
    - LP: #893741
  * drm/nouveau: initialize chan->fence.lock before use
    - LP: #893741
  * drm/radeon/kms: make an aux failure debug only
    - LP: #893741
  * ALSA: usb-audio - Check the dB-range validity in the later read, too
    - LP: #893741
  * ALSA: usb-audio - Fix the missing volume quirks at delayed init
    - LP: #893741
  * KEYS: Fix a NULL pointer deref in the user-defined key type
    - LP: #893741
  * hfs: add sanity check for file name length
    - LP: #893741
  * drm/radeon: add some missing FireMV pci ids
    - LP: #893741
  * sfi: table irq 0xFF means 'no interrupt'
    - LP: #893741
  * x86, mrst: use a temporary variable for SFI irq
    - LP: #893741
  * b43: refuse to load unsupported firmware
    - LP: #893741
  * md/raid5: abort any pending parity operations when array fails.
    - LP: #893741
  * mfd: Fix twl4030 dependencies for audio codec
    - LP: #893741
  * xen:pvhvm: enable PVHVM VCPU placement when using more than 32 CPUs.
    - LP: #893741
  * xen-gntalloc: integer overflow in gntalloc_ioctl_alloc()
    - LP: #893741
  * xen-gntalloc: signedness bug in add_grefs()
    - LP: #893741
  * powerpc/ps3: Fix lost SMP IPIs
    - LP: #893741
  * powerpc: Copy down exception vectors after feature fixups
    - LP: #893741
  * backing-dev: ensure wakeup_timer is deleted
    - LP: #893741
  * block: Always check length of all iov entries in blk_rq_map_user_iov()
    - LP: #893741
  * Linux 3.0.10
    - LP: #893741
  * drm/i915: add multi-threaded forcewake support
    - LP: #891270
  * (pre-sta...

Changed in linux (Ubuntu Oneiric):
status: New → Fix Released
Žilvinas (zilvinas-urbon) wrote :

The problem occured on Precise Pangolin Beta1 now.

philipballew (philipballew) wrote :

In 12.04 I am seeing this bug still here as well.

philip@PrincessLeia:~$ uname -r
3.2.0-18-generic
philip@PrincessLeia:~$ uname -a
Linux PrincessLeia 3.2.0-18-generic #28-Ubuntu SMP Fri Mar 2 20:02:50 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Me too. I have not seen this problem since 9.10, I believe; 12.04 brought it back (or something like it).

Linux janus 3.2.0-24-generic #38-Ubuntu SMP Tue May 1 16:18:50 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

  P: /devices/virtual/dmi/id
  E: DEVPATH=/devices/virtual/dmi/id
  E: MODALIAS=dmi:bvnDellInc.:bvrA15:bd01/20/2010:svnDellInc.:pnPrecisionM4300:pvr:rvnDellInc.:rn0UY141:rvr:cvnDellInc.:ct8:cvr:
  E: SUBSYSTEM=dmi
  E: UDEV_LOG=3

01:00.0 VGA compatible controller: NVIDIA Corporation G86M [Quadro FX 360M] (rev a1)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.